# Uses of Class
org.apache.commons.lang.CharSet

Packages that use CharSet
Package
Description
org.apache.commons.lang
Provides highly reusable static utility methods, chiefly concerned with adding value to the `java.lang` classes.

## Uses of CharSet in org.apache.commons.lang

Fields in org.apache.commons.lang declared as CharSet
Modifier and Type
Field
Description
`static final CharSet`
CharSet.`ASCII_ALPHA`
A CharSet defining ASCII alphabetic characters "a-zA-Z".
`static final CharSet`
CharSet.`ASCII_ALPHA_LOWER`
A CharSet defining ASCII alphabetic characters "a-z".
`static final CharSet`
CharSet.`ASCII_ALPHA_UPPER`
A CharSet defining ASCII alphabetic characters "A-Z".
`static final CharSet`
CharSet.`ASCII_NUMERIC`
A CharSet defining ASCII alphabetic characters "0-9".
`static final CharSet`
CharSet.`EMPTY`
A CharSet defining no characters.
Methods in org.apache.commons.lang that return CharSet
Modifier and Type
Method
Description
`static CharSet`
CharSetUtils.`evaluateSet(String[] set)`
Deprecated.
Use `getInstance(String[])`.
`static CharSet`
CharSet.`getInstance(String setStr)`
Factory method to create a new CharSet using a special syntax.
`static CharSet`
CharSet.`getInstance(String[] setStrs)`
Constructs a new CharSet using the set syntax.